#!/bin/sh

DTMPDIR="/tmp/ddb_backpu.save"
export DDB_ROOT_DIR=/usr/local/AppCentral/DdbBackup
export DDB_CONF_DIR="${DDB_ROOT_DIR}/conf"

case "$APKG_PKG_STATUS" in

	install)
		# pre install script here
	    logger -p user.error "============= Start DdbBackup preinstall script ran"
		;;
	upgrade)
		# pre upgrade script here (backup data)
	    logger -p user.error "============= Start DdbBackup preupgrade script ran"

		rm -fr ${DTMPDIR} && mkdir -p ${DTMPDIR}
		logger -p user.error "Temporary saving DDB config files in ${DTMPDIR}"
		cp ${DDB_CONF_DIR}/* ${DTMPDIR}/
	    logger -p user.error "============= Finish DdbBackup preupgrade script ran"
		;;
	*)
		;;

esac

exit 0
